2017-12-17 09:46 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003245Kali Linux[All Projects] Kali Package Bugpublic2016-05-11 14:39
Reporterkillswitch-gui 
Assigned Torhertzog 
PriorityurgentSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version2016.1 
Target VersionFixed in Version2016.2 
Summary0003245: 2016.1 Rolling Kali configparser issues!
Descriptionuname -a = Linux kali 4.4.0-kali1-amd64 0000001 SMP Debian 4.4.6-1kali1 (2016-03-18) x86_64 GNU/Linux

Issue: during apt-get dist-upgrade python 2.7.11 is upgraded to 2.7.11+. This also install python-configparser during the upgrade from what I have seen. This blocks other setup scripts (pip install) from upgrading due to it being installed to the latest’s version. I don’t know if it’s an issue with the current version in apt repo or something environmental in Kali. But this issue prevents all use of configparser out of the box for kali as the last version 2016.1 VM download does not.

Any help or suggestions would be great! Thanks guys!
Steps To Reproduce1) python
2) run commands in image
3) errors are produced
4) apt-get remove python-configparser
5) pip install configparser
6) repeat and this package now works
Additional Information- used for example code seen in image
https://pypi.python.org/pypi/configparser

- Github issue that came accross for Kali-Rolling
https://github.com/killswitch-GUI/SimplyEmail/issues/11
Attached Files

-Relationships
+Relationships

-Notes

~0005141

rhertzog (administrator)

Hello, thanks for the report. However you are extremely unclear on your description of the problem.

First of all the python2.7 package does not depend on python-configparser. If that package gets installed, it's because of one of its reverse dependencies.

Then in Kali we have version 3.3.0r2 of that package. What is the problem with that version?

I just tried on a clean system to do:
# apt install python-configparser
# python
Python 2.7.11+ (default, Feb 22 2016, 16:38:42)
[GCC 5.3.1 20160220] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import configparser
>>> c = configparser.ConfigParser()
>>> c['DEFAULT'] = {'foo': 'bar'}
>>>

And I get no backtrace. So if anything is broken, it's likely due to "pip" usage installing non-packaged code. In kali and in any packaged distribution, don't use pip outside of virtualenv... you will only break your system at some point.

~0005142

killswitch-gui (reporter)

Please perform the exact process as this has been reproduced by others as well:
1) download kali VM or ISO: https://images.offensive-security.com/virtual-images/Kali-Linux-2016.1-vm-amd64.7z
2) run commands in the image within python (should work)
3) run: apt-get update
4) run: apt-get upgrade
5) run: apt-get dist-upgrade
6) now run the commands again (Error is produced)
7) apt-get remove python-configparser
6) pip install configparser
8) run commands as before and it will work

Dont deviate or install anything with pip beforehand and this produced the issue.

~0005143

rhertzog (administrator)

Ok, so the problem comes the "python-future" package. It also provides a configparser module... if you remove that package, the module provided by python-configparser will again work (no need to pip install anything).

I'm not sure how to best solve that conflict... it must probably be handled at the python-future level. It has been already reported though:
https://github.com/PythonCharmers/python-future/issues/118

:-(

~0005144

rhertzog (administrator)

I also filed https://bugs.debian.org/822157 to get this resolved on the Debian side.

~0005149

killswitch-gui (reporter)

rhertzog thanks for hunting this down man! Lets hope we can get it fixed.

~0005237

rhertzog (administrator)

This has been fixed with python-future 0.15.2-2 which is now available in kali-rolling.
+Notes

-Issue History
Date Modified Username Field Change
2016-04-20 23:59 killswitch-gui New Issue
2016-04-20 23:59 killswitch-gui File Added: Screen Shot 2016-04-20 at 5.31.29 PM.png
2016-04-21 07:29 rhertzog Note Added: 0005141
2016-04-21 12:28 killswitch-gui Note Added: 0005142
2016-04-21 15:26 rhertzog Note Added: 0005143
2016-04-21 15:53 rhertzog Assigned To => rhertzog
2016-04-21 15:53 rhertzog Status new => confirmed
2016-04-21 15:55 rhertzog Note Added: 0005144
2016-04-22 14:40 killswitch-gui Note Added: 0005149
2016-05-11 14:39 rhertzog Note Added: 0005237
2016-05-11 14:39 rhertzog Status confirmed => resolved
2016-05-11 14:39 rhertzog Fixed in Version => 2016.2
2016-05-11 14:39 rhertzog Resolution open => fixed
+Issue History